import * as http from 'http'
import * as express from 'express'
import * as logger from './log'
import * as bodyParser from 'body-parser'

const app = express()
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());


app.post('/', (req, res) => {
    const reqData = req.body
    const direction : string = (reqData.entry == '1') ? 'arrives' : 'leaves'
    logger.info(`${reqData.device} ${direction}`)
    logger.info(JSON.stringify(reqData))
    res.send('OK')
})
 



const server = app.listen(8000, '', () => {
    logger.info('geofences server listening')
})